Bug 982397 - jruby ships copies of bouncycastle jars in /usr/share/jruby/lib/ruby/shared/
jruby ships copies of bouncycastle jars in /usr/share/jruby/lib/ruby/shared/
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jruby (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 18:52 EDT by Orion Poplawski
Modified: 2013-08-14 22:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: jruby-1.7.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:46:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-07-08 18:52:14 EDT
Description of problem:

It appears that jruby is shipping copies of the bouncycastle jar files in /usr/share/jruby/lib/ruby/shared/.  Perhaps other system stuff is in there as well.

It appears that you can simply remove the installed bcmail.jar and bcprov.jar files.  I used:

require "rubygems"
require "java"
require "bouncy-castle-java"
java.security.Security.addProvider(org.bouncycastle.jce.provider.BouncyCastleProvider.new)
javax.crypto.Cipher.getInstance("AES/CBC/PKCS5Padding", "BC")
puts "ok"

from https://github.com/jruby/jruby/pull/207 to verify that it still worked after removing the files.

I'm happy to make this change and push it out with my other pom fix to F19.

Version-Release number of selected component (if applicable):
jruby-1.7.2-1.fc19.noarch
Comment 1 Bohuslav "Slavek" Kabrda 2013-07-09 01:37:52 EDT
Please go on and push this into Fedora. Thanks!
Comment 2 Orion Poplawski 2013-07-09 12:53:25 EDT
Trying to, but getting the following test errors on the koji builders (but not on my F19 machine):

     [java]   1) Failure:
     [java] test_datetime(Psych::JSON::TestStream) [/builddir/build/BUILD/jruby-1.7.2/test/externals/ruby1.9/psych/json/test_stream.rb:105]:
     [java] Expected /\{"a":\ "2010\-10\-10\ 00:00:00\.000000000\ \+00:00"\}\n/ to match "--- {\"a\": \"2010-10-10 00:00:00.000000000 Z\"}\n...\n".
     [java] 
     [java]   2) Failure:
     [java] test_datetime(Psych::TestJSONTree) [/builddir/build/BUILD/jruby-1.7.2/test/externals/ruby1.9/psych/test_json_tree.rb:62]:
     [java] --- expected
     [java] +++ actual
     [java] @@ -1,2 +1,2 @@
     [java] -"{\"a\": \"2010-10-10 00:00:00.000000000 +00:00\"}
     [java] +"{\"a\": \"2010-10-10 00:00:00.000000000 Z\"}
     [java]  "
     [java] 
     [java] 
     [java]   3) Failure:
     [java] test_utc_p(TestTime) [/builddir/build/BUILD/jruby-1.7.2/test/externals/ruby1.9/ruby/test_time.rb:372]:
     [java] Failed assertion, no message given.
     [java] 
     [java]   4) Failure:
     [java] test_zone_0000(TestTimeExtension) [/builddir/build/BUILD/jruby-1.7.2/test/externals/ruby1.9/test_time.rb:285]:
     [java] <false> expected but was
     [java] <true>.

Have you seen this before?  Seems like it might be a timezone issue.
Comment 3 Orion Poplawski 2013-07-09 13:45:55 EDT
Looks like you do!

JRUBY-7111-I-can-only-build-JRuby-after-12-00-UTC-td4988243.html">http://ruby.11.x6.nabble.com/jira-JRUBY-7111-I-can-only-build-JRuby-after-12-00-UTC-td4988243.html

Although I'm not quite sure about the timing.
Comment 4 Fedora Update System 2013-07-09 14:32:38 EDT
jruby-1.7.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jruby-1.7.2-2.fc19
Comment 5 Fedora Update System 2013-07-10 22:32:14 EDT
Package jruby-1.7.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jruby-1.7.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12731/jruby-1.7.2-2.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-14 22:46:28 EDT
jruby-1.7.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.